Visual Studio Code 1.24 发布,可检测出未使用的变量 - 开源中国社区
Float_left Icon_close
Visual Studio Code 1.24 发布,可检测出未使用的变量
局长 2018年06月07日

Visual Studio Code 1.24 发布,可检测出未使用的变量

局长 局长 发布于2018年06月07日 收藏 3

做APP,小程序就上开源众包。世界杯期间免费领2600元启动金。>>>  

Visual Studio Code 1.24 已发布,引入了几个处于预览版阶段的新功能,此外还包括在五月新增的特性和 bug 修复。

值得关注的新特性

  • 检测未使用的变量 — 在 JavaScript/TypeScript 文件中,未使用的变量会变灰

  • 重构移动至新文件的操作 — 轻松地将类和函数 pull 到它们的文件

  • 预定义变量的智能感知(IntelliSense) — 在调试和任务配置文件中提供变量建议

而编辑器引入了不少处于预览阶段的新功能,如

  • 使用新的 GUI 来发现和修改 VS Code 设置

  • 调整调试工具栏的位置 — 浮动、固定或隐藏调试工具栏

  • 网格编辑器布局 — 自定义垂直/水平布局

  • 集成 Docker 和 MongoDB,现可直接访问 MongoDB 数据库

  • 添加 Outline view 视图

  • ……

详细更新请查看 https://code.visualstudio.com/updates/v1_24

下载地址

Windows | Mac | Linux 64-bit: .tar.gz .deb .rpm | Linux 32-bit: .tar.gz .deb .rpm  
https://github.com/Microsoft/vscode/releases/tag/1.24.0

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Visual Studio Code 1.24 发布,可检测出未使用的变量
分享
评论(39)
精彩评论
8
这时候应该有人跳出来喊“求求你们别更新了,老子的内存不够了”:smirk:
6
用了vscode把其他的编辑器都卸载了哈哈 微软真是太牛逼了
4
这个占用内存比较多,Sublime Text更轻量一些。
3

引用来自“斯兔2017”的评论

用了vscode把其他的编辑器都卸载了哈哈 微软真是太牛逼了
我还是觉得sublime text3好使呀
1
Sublime 要是开源的话可能就没它什么事儿了
最新评论
0

引用来自“dolloyo”的评论

这时候应该有人跳出来喊“求求你们别更新了,老子的内存不够了”:smirk:

引用来自“eechen”的评论

VSC内存够不够,还得问Google的Chrome开发团队.
?内存很大?
0

引用来自“辉火”的评论

哪位告知一下用来写PHP感受如何?

引用来自“斯兔2017”的评论

写php那真是太方便了 我用他写php把以前用的编辑器全部删除了
然而我还是一直使用Geany,任尔东西南北吹.
0

引用来自“dolloyo”的评论

这时候应该有人跳出来喊“求求你们别更新了,老子的内存不够了”:smirk:
VSC内存够不够,还得问Google的Chrome开发团队.
0
求求你们别更新了,老子的内存不够了:disappointed_relieved::disappointed_relieved:
0
强烈支持!
0
它的唯一一个喜欢的免费产品了
0
就是莫名的不和谐用的难受
1
Sublime 要是开源的话可能就没它什么事儿了
1

引用来自“辉火”的评论

哪位告知一下用来写PHP感受如何?
写php那真是太方便了 我用他写php把以前用的编辑器全部删除了
0
Go自己也能检查
0

引用来自“辉火”的评论

哪位告知一下用来写PHP感受如何?
之前是重度 sublime 用户,转 vscode 已经几个月了,比 sublime 的话,写 php 在某些细节上还不是很好,期待后期更新;但是在某些方面,比如对 PHP 进行断点调试 ,vscode无论在 ui 上 还是配置上,显然更胜一筹。
推荐写 PHP 要安装的插件:
- Paste and Indent 带格式的粘贴
- Alignment 代码对齐格式化,同 sublime text 3
- PHP IntelliSense PHP 语法检查、提示加强等
- PHP Debug PHP 断点调试
- PHP DocBlocker PHP 快速注释工具
- Bracket Pair Colorizer 括号高亮

其实,vscode 对前端(javascript系)支持的最好,但是它一直在不断更新
0

引用来自“Raymin”的评论

一贯的恶行,导致了彻底的不信任与厌恶!

引用来自“bye_world”的评论

举个例子

引用来自“Raymin”的评论

就举一个最近的吧:引诱、强迫用户升级到 Win10,小白用户只能乖乖就范!

引用来自“梦里江南烟雨后”的评论

总比新版本出来,偷偷的给旧版本降速来的磊落。厂家维护两个版本本身就有开销,尤其是大家都不升级,过了商业服务期限,到时候漏洞什么的,你有本事不要找微软。

引用来自“Raymin”的评论

被强迫惯了,反而替 M$ 辩护!
我就知道你要挑战我们的党
0

引用来自“Raymin”的评论

一贯的恶行,导致了彻底的不信任与厌恶!

引用来自“bye_world”的评论

举个例子

引用来自“Raymin”的评论

就举一个最近的吧:引诱、强迫用户升级到 Win10,小白用户只能乖乖就范!

引用来自“梦里江南烟雨后”的评论

总比新版本出来,偷偷的给旧版本降速来的磊落。厂家维护两个版本本身就有开销,尤其是大家都不升级,过了商业服务期限,到时候漏洞什么的,你有本事不要找微软。

引用来自“Raymin”的评论

被强迫惯了,反而替 M$ 辩护!
我愿意
0

引用来自“Raymin”的评论

一贯的恶行,导致了彻底的不信任与厌恶!

引用来自“bye_world”的评论

举个例子

引用来自“Raymin”的评论

就举一个最近的吧:引诱、强迫用户升级到 Win10,小白用户只能乖乖就范!

引用来自“梦里江南烟雨后”的评论

总比新版本出来,偷偷的给旧版本降速来的磊落。厂家维护两个版本本身就有开销,尤其是大家都不升级,过了商业服务期限,到时候漏洞什么的,你有本事不要找微软。
被强迫惯了,反而替 M$ 辩护!
0
坚持phpstorm
0

引用来自“玖伍贰柒”的评论

以前左下角设置里可以检查更新,现在怎么没有了。现在每次都得手动去更新
我的编辑器更新的配置如下,有问题吗?
"update.channel": "default",
// 启用 Windows 后台更新。
"update.enableWindowsBackgroundUpdates": true,
你可能把自动检查更新关了
0

引用来自“Raymin”的评论

一贯的恶行,导致了彻底的不信任与厌恶!

引用来自“bye_world”的评论

举个例子

引用来自“Raymin”的评论

就举一个最近的吧:引诱、强迫用户升级到 Win10,小白用户只能乖乖就范!
总比新版本出来,偷偷的给旧版本降速来的磊落。厂家维护两个版本本身就有开销,尤其是大家都不升级,过了商业服务期限,到时候漏洞什么的,你有本事不要找微软。
1
哪位告知一下用来写PHP感受如何?
0
哪有那么大,256m的软盘
0
为什么我用来开发node程序会那么的卡
顶部